Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Interface PasswordElementParent

All Superinterfaces:
  XDSElement

All Known Implementing Classes:
  XDSAddElement, XDSCheckObjectPasswordElement, XDSModifyPasswordElement

public interface PasswordElementParent
extends XDSElement

Any XDS element with zero or one child `<password>` elements.

This class represents the `password?` occurrence indicator (zero or one) or a sequence that contains a password element only once `(password)`.

Method Summary
`XDSPasswordElement` | `appendPasswordElement(String someText)` Appends a child `<password>` element to this element.
`XDSPasswordElement` | `extractPasswordElement()` Returns this element's child `<password>` element.
`String` | `extractPasswordText()` Returns the concatenated child text nodes from this element's child `<password>` element.

Methods inherited from interface com.novell.nds.dirxml.driver.xds.XDSElement
`attributeValueGet, attributeValueGet, attributeValueSet, childElements, domDocument, domElement, localName, namespaceName, position, tagName`

Method Detail

### appendPasswordElement

    public XDSPasswordElement appendPasswordElement(String someText)

  Appends a child `<password>` element to this element. The `<password>` element contains the text `someText`.

  Invocation Context:
    WRITE

  Parameters:
    `someText` - the password value; if `null` or `""`, an empty, child `<password>` element is appended
  Returns:
    will not return `null`

### extractPasswordText

    public String extractPasswordText()

  Returns the concatenated child text nodes from this element's child `<password>` element.

  Invocation Context:
    READ

  Returns:
    may return `null`; will not return `""`

### extractPasswordElement

    public XDSPasswordElement extractPasswordElement()

  Returns this element's child `<password>` element.

  Invocation Context:
    READ

  Returns:
    may return `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD